## org.eclipse.datatools.sqltools.sqleditor.internal.sql
Class SQLCompletionProposalComparator

    java.lang.Object
      org.eclipse.datatools.sqltools.sqleditor.internal.sql.SQLCompletionProposalComparator

All Implemented Interfaces:
  java.util.Comparator

    public class SQLCompletionProposalComparator

extends java.lang.Object
implements java.util.Comparator

Author:
  Li Huang

Constructor Summary
`SQLCompletionProposalComparator()` Constructor for CompletionProposalComparator.

Method Summary
`int` `compare(java.lang.Object o1, java.lang.Object o2)`
`static SQLCompletionProposalComparator` `getInstance()`
`void` `setOrderAlphabetically(boolean orderAlphabetically)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### SQLCompletionProposalComparator

    public SQLCompletionProposalComparator()

  Constructor for CompletionProposalComparator.

Method Detail

### getInstance

    public static SQLCompletionProposalComparator getInstance()

### setOrderAlphabetically

    public void setOrderAlphabetically(boolean orderAlphabetically)

### compare

    public int compare(java.lang.Object o1,
                       java.lang.Object o2)

  Specified by:
    `compare` in interface `java.util.Comparator`